import bilby
import matplotlib.pyplot as plt
import numpy as np

from scipy.stats import gaussian_kde

result = bilby.core.result.read_in_result("../../Population_Samples/default/o1o2o3_mass_e_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json")
parameters = ['alpha', 'beta', 'delta_m', 'mmin', 'mmax', 'lam', 'mpp', 'sigpp']

mu1 = result.posterior["mpp_1"].values
mu2 = result.posterior["mpp_2"].values

##prior limits
n = 100000
mu1_prior = 20.0 + (50.0-20.0) * np.random.rand(n)
mu2_prior = 50.0 + (100.0 - 50.0) * np.random.rand(n)


plt.hist(mu2/mu1, bins = 30, density = True, alpha = 0.5)
plt.hist(mu2_prior/ mu1_prior, bins = 30, density = True, alpha = 0.5)
plt.savefig('test.png')

post_kde = gaussian_kde(mu2/mu1)

prior_kde = gaussian_kde(mu2_prior/ mu1_prior)

print(post_kde(2.0)/prior_kde(2.0))
